Package org.apache.sling.scripting.jsp.taglib

# Class GetCAConfigResourcesTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.AbstractCATag
org.apache.sling.scripting.jsp.taglib.GetCAConfigResourcesTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class GetCAConfigResourcesTag extends AbstractCATag
Tag for retrieving Context-Aware Configuration resource collection for a specified resource, bucket and name.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`GetCAConfigResourcesTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`

### Methods inherited from class org.apache.sling.scripting.jsp.taglib.AbstractCATag

`getBucket, getConfigurationResourceResolver, getName, getResource, getVar, setBucket, setName, setResource, setVar`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetCAConfigResourcesTag

public GetCAConfigResourcesTag()

## Method Details

### doEndTag

public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`